org.richfaces.ui.select.select

## Class SelectRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.ui.input.InputRendererBase
      - - org.richfaces.ui.select.select.SelectRendererBase
        - - org.richfaces.ui.select.select.SelectRenderer

-     public class SelectRenderer
      extends SelectRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.ui.select.select.SelectRendererBase

      `ITEM_CSS`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.ui.select.select.SelectRendererBase

      `encodeHeightAndWidth, encodeItems, getClientFilterFunction, getConvertedSelectItems, getListCss, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, getSelectInputLabel, getSelectLabel, preEncodeBegin, renderListHandlers`

    - ### Methods inherited from class org.richfaces.ui.input.InputRendererBase

      `doDecode, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectRenderer

          public SelectRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014 JBoss by Red Hat. All rights reserved.